Bug 728895 - RHEV-H rpm should include a versions text file
Summary: RHEV-H rpm should include a versions text file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhev-hypervisor
Version: 5.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Alan Pevec
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 722967
Blocks: 728968
TreeView+ depends on / blocked
 
Reported: 2011-08-08 10:23 UTC by Alan Pevec
Modified: 2012-08-10 08:40 UTC (History)
13 users (show)

Fixed In Version: rhev-hypervisor-5.8-1.el5
Doc Type: Bug Fix
Doc Text:
A new file called version.txt, which contains version and release information, is stored in the /usr/share/rhev-hypervisor/ directory on the Hypervisor.
Clone Of: 722967
Environment:
Last Closed: 2012-02-21 05:04:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC

Description Alan Pevec 2011-08-08 10:23:00 UTC
version.txt should be provided in RHEV-H 5.x RPM too

+++ This bug was initially created as a clone of Bug #722967 +++

Description of problem:
In order to identify the version of the installed ISO file,
RHEV-M backend should be able to access a text file, containing
current version and release of the installed ISO file.

The text file should be accessible to JBoss user (and maybe more).
The file format should be simple:
version,release

Additional info:
RHEV-M backend will be using this information in order to compare
with VERSION and RELEASE in /etc/default/version on running rhevh.
So the figures should be comparable.

* Please provide information on the type of VERSION and RELEASE, so we'll
know how to perform the comparison. IE- Is it integers / other?

--- Additional comment from apevec@redhat.com on 2011-07-18 12:08:20 EDT ---

Similar request after this was modelled is for Spice version, bug 722783

--- Additional comment from apevec@redhat.com on 2011-07-18 13:36:42 EDT ---

Put RHEV-H version info in /usr/share/rhev-hypervisor/version.txt

Resolves: rhbz#722967

--- rhev-hypervisor.spec	12 Jul 2011 16:28:58 -0000	1.44
+++ rhev-hypervisor.spec	18 Jul 2011 17:34:05 -0000
@@ -62,6 +62,7 @@
 
 %{__install} -d -m0755 %{buildroot}%{app_root}
 %{__install} -p -m0644 %{image_iso} %{buildroot}%{app_root}/%{name}.iso
+echo %{version},%{release} > %{buildroot}%{app_root}/version.txt
 %{__install} -d -m0755 %{buildroot}%{_bindir}
 %{__install} -p -m0755 %{to_pxeboot} %{buildroot}%{_bindir}/rhevh-iso-to-pxeboot
 %{__install} -p -m0755 %{to_disk} %{buildroot}%{_bindir}/rhevh-iso-to-disk
@@ -73,6 +74,7 @@
 %files
 %defattr(0644,root,root,0755)
 %{app_root}/%{name}.iso
+%{app_root}/version.txt
 %defattr(0755,root,root,0755)
 %{_bindir}/rhevh-iso-to-pxeboot
 %{_bindir}/rhevh-iso-to-disk

Comment 3 Kate Grainger 2011-08-28 23:55:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A new file called version.txt contains version and release information and is stored in the /usr/share/rhev-hypervisor/ directory.

Comment 6 Stephen Gordon 2012-02-10 15:02:57 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-A new file called version.txt contains version and release information and is stored in the /usr/share/rhev-hypervisor/ directory.+A new file called version.txt, which contains version and release information, is stored in the /usr/share/rhev-hypervisor/ directory on the Hypervisor.

Comment 7 errata-xmlrpc 2012-02-21 05:04:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0168.html


Note You need to log in before you can comment on or make changes to this bug.